Subject: Re: [net-next PATCH 10/14] net: phy: at803x: drop usless probe for qca8081 PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 29 Nov 2023 09:44:42 +0000

On Wed, Nov 29, 2023 at 03:12:15AM +0100, Christian Marangi wrote:
> Drop useless probe for qca8081 PHY. The specific functions and the
> generic ones doesn't use any of allocated variables of the at803x_priv
> struct and doesn't support any of the properties used for at803x PHYs.

So now we have two different structures in ->priv _and_ ->priv can be
NULL all in the same driver.

This is getting rediculous.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!